%global qt_module qtwebchannel

Summary: Qt5 - WebChannel component
Name:    qt5-%{qt_module}
Version: 5.15.11
Release: 1%{?dist}
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url: http://qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

BuildRequires: make, qt5-qtbase-private-devel, qt5-qtdeclarative-devel, qt5-qtwebsockets-devel, qt5-qtbase-devel >= %{version}
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
The Qt WebChannel module provides a library for seamless integration of C++
and QML applications with HTML/JavaScript clients. Any QObject can be
published to remote clients, where its public API becomes available.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: qt5-qtbase-devel
%description devel
%{summary}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{version}-%{release}
%description examples
%{summary}.



%prep
%setup -q -n %{qt_module}-everywhere-src-%{version}



%build
%{qmake_qt5}

%make_build



%install
make install INSTALL_ROOT=%{buildroot}

pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license LICENSE.*
%{_qt5_libdir}/libQt5WebChannel.so.5*
%{_qt5_archdatadir}/qml/QtWebChannel/

%files devel
%{_qt5_headerdir}/QtWebChannel/
%{_qt5_libdir}/libQt5WebChannel.so
%{_qt5_libdir}/libQt5WebChannel.prl
%dir %{_qt5_libdir}/cmake/Qt5WebChannel/
%{_qt5_libdir}/cmake/Qt5WebChannel/Qt5WebChannelConfig*.cmake
%{_qt5_libdir}/pkgconfig/Qt5WebChannel.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_webchannel*.pri

%files examples
%{_qt5_examplesdir}/



%changelog
* Wed Jan 17 2024 edwardewang <edwardewang@tencent.com> - 5.15.11-1
- Upgrade to 5.15.11

* Thu Sep 21 2023 kianli <kianli@tencent.com> - 5.15.10-1
- Upgrade to 5.15.10

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.9-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 14 2023 Shuo Wang <abushwang@tencent.com> - 5.15.9-1
- update to 5.15.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Zhao Zhen <jeremiazhao@tencent.com> - 5.15.7-1
- initial
